<?xml version="1.0" encoding="utf-8"?>
  
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:elk="urn:cbr-ru:elk:v2024.1.0"
           xmlns:lt="urn:cbr-ru:elk:leaftypes:v2024.1.0"
           xmlns:ai="urn:cbr-ru:e-forms-app-info:v0.1"
           targetNamespace="urn:cbr-ru:elk:v2024.1.0" elementFormDefault="qualified" version="2024.1.0">
  
  <xs:import namespace="urn:cbr-ru:elk:leaftypes:v2024.1.0" schemaLocation="cbr_ed_leaftypes_v2024.1.0.xsd"/>
  <xs:include schemaLocation="cbr_ed_objects_v2024.1.0.xsd"/>
  
  <xs:element name="ED443" type="elk:ED443">
    <xs:annotation>
      <xs:documentation>
        Уведомление об изменении процентных ставок по предоставленным кредитам
      </xs:documentation>
    </xs:annotation>
  </xs:element>
  
  <xs:complexType name="ED443">
    <xs:annotation>
      <xs:documentation>
        Уведомление об изменении процентных ставок по предоставленным кредитам
      </xs:documentation>
    </xs:annotation>
    <xs:complexContent>
      <xs:extension base="elk:ESWithMandatoryEDReceiver">
        <xs:sequence>
          <xs:element name="SEDRateNotification" type="elk:SEDRateNotification">
            <xs:annotation>
              <xs:documentation>1. Уведомление об изменении процентной ставки</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  
  <xs:complexType name="SEDRateNotification">
    <xs:annotation>
      <xs:documentation>1. Уведомление об изменении процентной ставки</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="InterestRate" type="elk:InterestRate" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:documentation>1.1 Информация о ставках</xs:documentation>
        </xs:annotation>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="GKDDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="GKDNo" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CORegNo" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Регистрационный номер КО</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="COFullName" type="lt:Max255TextType" use="required">
      <xs:annotation>
        <xs:documentation>Полное наименование КО</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="Acc" type="lt:AccountNumberRUIDType" use="required">
      <xs:annotation>
        <xs:documentation>Номер банковского счета КО, на который предоставлен кредит</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="NumNotifRate" type="lt:Max20TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер Уведомления об изменении процентной ставки</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="DateNotifRate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата Уведомления об изменении процентной ставки</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
  <xs:complexType name="InterestRate">
    <xs:annotation>
      <xs:documentation>1.1 Информация о ставках</xs:documentation>
    </xs:annotation>
    <xs:attribute name="NotificationNum" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер извещения о предоставлении кредита. Указывается номер кредита Банка России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="NotificationDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата извещения о предоставлении кредита</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CreditRate" type="lt:PercentNumberType" use="required">
      <xs:annotation>
        <xs:documentation>Процентная ставка по кредиту</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="DatePercentChange" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата изменения процентной ставки</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
</xs:schema>
